%global debug_package %{nil}

%global __brp_mangle_shebangs_exclude_from %{_bindir}/distrobox-(export|init)$

%global forgeurl https://github.com/89luca89/distrobox
%global tag %{version}

Name:    distrobox
Version: 1.8.0


Release: 2%{?dist}
Summary: Another tool for containerized command line environments on Linux 
License: GPLv3
URL:     %{forgeurl}
Source0: https://github.com/89luca89/distrobox/archive/refs/tags/distrobox-%{version}.tar.gz

BuildArch: noarch

Requires: (podman or %{_bindir}/docker)
Requires: %{_bindir}/basename
Requires: %{_bindir}/find
Requires: %{_bindir}/grep
Requires: %{_bindir}/sed
Requires: hicolor-icon-theme


%description
Use any linux distribution inside your terminal. Distrobox uses podman 
or docker to create containers using the linux distribution of your 
choice. Created container will be tightly integrated with the host, 
allowing to share the HOME directory of the user, external storage, 
external usb devices and graphical apps (X11/Wayland) and audio.

%prep
%autosetup

%build

%install
./install -P %{buildroot}/%{_prefix}

%check
%{buildroot}%{_bindir}/%{name} list -V
for i in create enter export init list rm stop host-exec; do
    %{buildroot}%{_bindir}/%{name}-$i -V
done

%files
%license COPYING.md
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_bindir}/%{name}-create
%{_bindir}/%{name}-enter
%{_bindir}/%{name}-export
%{_bindir}/%{name}-init
%{_bindir}/%{name}-list
%{_bindir}/%{name}-rm
%{_bindir}/%{name}-stop
%{_bindir}/%{name}-host-exec
%{_bindir}/%{name}-ephemeral
%{_bindir}/%{name}-generate-entry
%{_bindir}/%{name}-upgrade
%{_bindir}/%{name}-assemble
%{_datadir}/icons/hicolor/*/apps/terminal-distrobox-icon.png
%{_datadir}/icons/hicolor/scalable/apps/terminal-distrobox-icon.svg
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}*
%{_datadir}/zsh/site-functions

%changelog
* Thu Oct 24 2024 Doris Chao <doriscchao@tencent.com> - 1.8.0-2
- [Type] other
- [DESC] use a URL for source0.

* Wed Oct 23 2024 Doris Chao <doriscchao@tencent.com> - 1.8.0-1
- [Type] security
- [DESC] Update to version 1.8.0. Fixed vulnerability CVE-2024-29864, which was 
-  previously resolved in version 1.7.0.1. 

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0.1-1
- initial build

